require 'sketchup.rb'
require 'moveis3d/main.rb'

# Informações do Plugin
module Moveis3D
  PLUGIN_NAME = 'Moveis3D'.freeze
  PLUGIN_VERSION = '1.0.0'.freeze
  PLUGIN_AUTHOR = 'Teneir Wenginowicz'.freeze
  PLUGIN_DESCRIPTION = 'Um plugin para criar e gerenciar móveis planejados no SketchUp.'.freeze
  PLUGIN_URL = 'http://moveis3d.com'.freeze
  PLUGIN_LICENSE = 'MIT'.freeze

  # Inicia o plugin quando o SketchUp for carregado
  unless file_loaded?(__FILE__)
    Moveis3D::Main.start
    file_loaded(__FILE__)
  end
end
