document.addEventListener('DOMContentLoaded', function () {
    const links = document.querySelectorAll('.sidebar a');
    const iframe = document.getElementById('iframe-content');

    links.forEach(link => {
        link.addEventListener('click', function (event) {
            event.preventDefault(); // Impede o comportamento padrão do link
            const url = this.getAttribute('data-url');
            iframe.src = url; // Altera o src do iframe
        });
    });
});
